From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/weston/
Date: Fri, 4 Aug 2023 21:54:31 +0000 (UTC) [thread overview]
Message-ID: <1691186039.dc9958ddbfd5ab496ef01c50e6c1339626d7a117.chewi@gentoo> (raw)
commit: dc9958ddbfd5ab496ef01c50e6c1339626d7a117
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 4 21:52:52 2023 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Fri Aug 4 21:53:59 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc9958dd
dev-libs/weston: Version bump to 12.0.2, Python 3.12
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
dev-libs/weston/Manifest | 1 +
dev-libs/weston/weston-12.0.2.ebuild | 142 +++++++++++++++++++++++++++++++++++
2 files changed, 143 insertions(+)
diff --git a/dev-libs/weston/Manifest b/dev-libs/weston/Manifest
index a7a46a867df7..2c328000a407 100644
--- a/dev-libs/weston/Manifest
+++ b/dev-libs/weston/Manifest
@@ -1,2 +1,3 @@
DIST weston-11.0.1.tar.xz 1900796 BLAKE2B 33d7d5b3340e7074265885bd54ee039e8b5d448fa9f58f4bf9f823efd2557da9b916d903119565a806ab698382fe185165c8ede8614e983c872dfe15b474b616 SHA512 d451230fc260b45aaaadb5cf0aa360629e45e72e3b3676c6ec040d6c6549dbb57d05683effd962c3b2d61482b47a6c990d12cc736c896b501d982c8c4d34834c
DIST weston-12.0.1.tar.xz 1969772 BLAKE2B d7a76ad6e11b76b73b91aeb9b3b49e823ecc8170bd1306f9a8ed90fa49d9bc7734e4c0595ca67f11421ecf5b4dbf04289cf803726c508e8c979a9850c0e94ccb SHA512 3dcfa1a2a6b9a605d3ecd597bf7ac0f87b0fd1971845b6e5c44b5e34296943ac146dae6e1cfea9be14ad7a9a8b6d30dc765f9289ef80920d7c516ebba1ba4688
+DIST weston-12.0.2.tar.xz 1969720 BLAKE2B 2a6749ae183b32365c6f7a135a1e1f57aedefa7071ab95b820a788903771b98de18f5ffe991990751bfa11cee14c1cd42364f97583f63ca388caecb44d5b1b4e SHA512 4277cc71a2001768816d6c30df6c01f09ee24efd16651e7048d425afa63c78f92d6def0cca78150965b0f3fa946675b0325881ff9d2878925dedea216a968d59
diff --git a/dev-libs/weston/weston-12.0.2.ebuild b/dev-libs/weston/weston-12.0.2.ebuild
new file mode 100644
index 000000000000..8fa6eb73fb76
--- /dev/null
+++ b/dev-libs/weston/weston-12.0.2.ebuild
@@ -0,0 +1,142 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+if [[ ${PV} = 9999* ]]; then
+ EGIT_REPO_URI="https://gitlab.freedesktop.org/wayland/weston.git"
+ GIT_ECLASS="git-r3"
+ EXPERIMENTAL="true"
+fi
+
+PYTHON_COMPAT=( python3_{9..12} )
+inherit meson python-any-r1 readme.gentoo-r1 xdg-utils ${GIT_ECLASS}
+
+DESCRIPTION="Wayland reference compositor"
+HOMEPAGE="https://wayland.freedesktop.org/ https://gitlab.freedesktop.org/wayland/weston"
+
+if [[ ${PV} = *9999* ]]; then
+ SRC_URI="${SRC_PATCHES}"
+else
+ SRC_URI="https://gitlab.freedesktop.org/wayland/${PN}/-/releases/${PV}/downloads/${P}.tar.xz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~riscv ~x86"
+fi
+
+LICENSE="MIT CC-BY-SA-3.0"
+SLOT="0"
+
+IUSE="+desktop +drm editor examples fullscreen +gles2 headless ivi jpeg kiosk lcms pipewire rdp remoting +resize-optimization screen-sharing +suid systemd test vnc wayland-compositor webp +X xwayland"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="
+ drm? ( gles2 )
+ pipewire? ( drm )
+ remoting? ( drm gles2 )
+ screen-sharing? ( rdp )
+ test? ( desktop headless lcms xwayland )
+ wayland-compositor? ( gles2 )
+ || ( drm headless rdp vnc wayland-compositor X )
+"
+
+RDEPEND="
+ >=dev-libs/libinput-1.2.0
+ >=dev-libs/wayland-1.20.0
+ media-libs/libpng:0=
+ sys-auth/seatd:=
+ >=x11-libs/cairo-1.11.3
+ >=x11-libs/libdrm-2.4.108
+ >=x11-libs/libxkbcommon-0.5.0
+ >=x11-libs/pixman-0.25.2
+ x11-misc/xkeyboard-config
+ drm? (
+ >=media-libs/mesa-17.1[gbm(+)]
+ >=sys-libs/mtdev-1.1.0
+ >=virtual/udev-136
+ )
+ editor? ( x11-libs/pango )
+ examples? ( x11-libs/pango )
+ gles2? ( media-libs/mesa[gles2,wayland] )
+ jpeg? ( media-libs/libjpeg-turbo:0= )
+ lcms? ( >=media-libs/lcms-2.9:2 )
+ pipewire? ( >=media-video/pipewire-0.3:= )
+ rdp? ( >=net-misc/freerdp-2.3.0:=[server] )
+ remoting? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ )
+ systemd? ( sys-apps/systemd )
+ vnc? (
+ =dev-libs/aml-0.3*
+ =gui-libs/neatvnc-0.6*
+ sys-libs/pam
+ )
+ webp? ( media-libs/libwebp:0= )
+ X? (
+ >=x11-libs/libxcb-1.9
+ x11-libs/libX11
+ )
+ xwayland? (
+ x11-base/xwayland
+ x11-libs/cairo[X,xcb(+)]
+ >=x11-libs/libxcb-1.9
+ x11-libs/libXcursor
+ >=x11-libs/xcb-util-cursor-0.1.4
+ )
+"
+DEPEND="${RDEPEND}
+ >=dev-libs/wayland-protocols-1.24
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ dev-util/wayland-scanner
+ virtual/pkgconfig
+"
+
+src_configure() {
+ local emesonargs=(
+ $(meson_use drm backend-drm)
+ -Dbackend-drm-screencast-vaapi=false
+ $(meson_use headless backend-headless)
+ $(meson_use pipewire backend-pipewire)
+ $(meson_use rdp backend-rdp)
+ $(meson_use screen-sharing screenshare)
+ $(meson_use vnc backend-vnc)
+ $(meson_use wayland-compositor backend-wayland)
+ $(meson_use X backend-x11)
+ -Dbackend-default=auto
+ $(meson_use gles2 renderer-gl)
+ $(meson_use xwayland)
+ -Dlauncher-libseat=true
+ $(meson_use systemd)
+ $(meson_use remoting)
+ $(meson_use pipewire)
+ $(meson_use desktop shell-desktop)
+ $(meson_use fullscreen shell-fullscreen)
+ $(meson_use ivi shell-ivi)
+ $(meson_use kiosk shell-kiosk)
+ $(meson_use lcms color-management-lcms)
+ $(meson_use jpeg image-jpeg)
+ $(meson_use webp image-webp)
+ -Dtools=debug,info,terminal
+ $(meson_use examples demo-clients)
+ -Dsimple-clients=$(usex examples damage,dmabuf-v4l,im,shm,touch$(usex gles2 ,dmabuf-egl,egl "") "")
+ $(meson_use resize-optimization resize-pool)
+ -Dtest-junit-xml=false
+ "${myconf[@]}"
+ )
+ meson_src_configure
+}
+
+src_test() {
+ xdg_environment_reset
+ addwrite /dev/dri/
+
+ # xwayland test can fail if X11 socket already exists.
+ cd "${BUILD_DIR}" || die
+ meson test $(meson test --list | grep -Exv "xwayland") || die
+}
+
+src_install() {
+ meson_src_install
+ readme.gentoo_create_doc
+}
next reply other threads:[~2023-08-04 21:54 UTC|newest]
Thread overview: 140+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-08-04 21:54 James Le Cuirot [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-25 21:05 [gentoo-commits] repo/gentoo:master commit in: dev-libs/weston/ James Le Cuirot
2024-10-15 13:34 James Le Cuirot
2024-09-06 22:37 James Le Cuirot
2024-09-06 22:37 James Le Cuirot
2024-09-05 22:07 James Le Cuirot
2024-09-05 22:07 James Le Cuirot
2024-09-05 22:07 James Le Cuirot
2024-07-01 13:43 James Le Cuirot
2024-06-30 15:05 James Le Cuirot
2024-06-08 9:31 James Le Cuirot
2024-06-08 9:31 James Le Cuirot
2024-05-28 22:28 Ionen Wolkens
2024-04-26 22:07 James Le Cuirot
2024-04-26 22:07 James Le Cuirot
2024-04-26 22:07 James Le Cuirot
2024-04-26 21:58 James Le Cuirot
2024-04-26 21:32 James Le Cuirot
2024-04-26 21:32 James Le Cuirot
2024-04-26 0:14 Sam James
2024-04-26 0:14 Sam James
2024-04-25 22:18 Sam James
2024-04-25 22:18 Sam James
2024-04-25 21:10 James Le Cuirot
2024-04-24 22:59 James Le Cuirot
2024-04-24 17:39 Arthur Zamarin
2024-04-19 8:31 Arthur Zamarin
2024-04-16 22:29 Sam James
2024-03-17 16:35 Mike Gilbert
2023-12-30 18:39 Mike Gilbert
2023-12-17 22:59 James Le Cuirot
2023-11-28 22:56 James Le Cuirot
2023-11-28 22:56 James Le Cuirot
2023-10-17 21:34 James Le Cuirot
2023-08-07 13:45 James Le Cuirot
2023-08-07 12:54 James Le Cuirot
2023-06-24 13:41 James Le Cuirot
2023-06-13 18:10 Arthur Zamarin
2023-05-27 9:12 James Le Cuirot
2023-05-27 6:35 Arthur Zamarin
2023-05-27 6:35 Arthur Zamarin
2023-05-27 6:34 Arthur Zamarin
2023-05-22 19:36 James Le Cuirot
2023-05-20 20:22 James Le Cuirot
2023-05-20 20:22 James Le Cuirot
2023-05-05 9:43 Arthur Zamarin
2023-04-26 21:37 James Le Cuirot
2023-03-19 10:46 James Le Cuirot
2023-03-11 17:04 Sam James
2022-12-24 17:12 James Le Cuirot
2022-12-24 17:12 James Le Cuirot
2022-12-21 23:15 James Le Cuirot
2022-12-21 23:15 James Le Cuirot
2022-12-08 22:06 James Le Cuirot
2022-12-05 17:24 WANG Xuerui
2022-12-05 17:24 WANG Xuerui
2022-09-28 21:03 James Le Cuirot
2022-09-25 13:40 James Le Cuirot
2022-08-08 22:57 James Le Cuirot
2022-07-27 22:38 James Le Cuirot
2022-06-24 9:24 James Le Cuirot
2022-06-24 9:24 James Le Cuirot
2022-05-21 9:25 James Le Cuirot
2022-05-15 3:10 Sam James
2022-05-10 4:06 Arthur Zamarin
2022-05-07 18:28 Arthur Zamarin
2022-04-30 12:06 Arthur Zamarin
2022-04-30 12:00 Arthur Zamarin
2022-04-30 12:00 Arthur Zamarin
2022-04-30 12:00 Arthur Zamarin
2022-04-30 12:00 Arthur Zamarin
2022-02-05 22:58 James Le Cuirot
2022-02-05 17:01 James Le Cuirot
2022-01-12 6:24 Georgy Yakovlev
2021-09-24 22:05 James Le Cuirot
2021-09-24 22:05 James Le Cuirot
2021-08-25 0:10 Marek Szuba
2021-08-20 0:28 Sam James
2021-08-18 1:41 Sam James
2021-08-18 1:28 Sam James
2021-08-18 1:28 Sam James
2021-07-26 19:52 Piotr Karbowski
2021-05-29 8:58 James Le Cuirot
2021-05-15 1:59 Sam James
2021-04-11 12:28 James Le Cuirot
2021-04-03 15:44 Sam James
2021-02-18 8:50 Sam James
2021-01-19 19:17 Sam James
2021-01-01 18:25 Andreas Sturmlechner
2020-12-17 11:59 Sam James
2020-12-02 23:31 Thomas Deutschmann
2020-09-05 10:32 James Le Cuirot
2020-09-05 10:32 James Le Cuirot
2020-09-05 10:32 James Le Cuirot
2020-07-25 20:39 James Le Cuirot
2020-03-08 17:21 James Le Cuirot
2020-03-08 10:42 Agostino Sarubbo
2020-03-08 10:37 Agostino Sarubbo
2020-03-08 10:25 Agostino Sarubbo
2020-02-15 23:38 James Le Cuirot
2020-02-15 23:38 James Le Cuirot
2020-01-14 22:39 James Le Cuirot
2019-11-24 23:49 James Le Cuirot
2019-09-14 13:35 James Le Cuirot
2019-08-26 9:00 James Le Cuirot
2019-08-26 9:00 James Le Cuirot
2019-08-18 10:20 James Le Cuirot
2019-08-10 9:21 James Le Cuirot
2019-06-25 19:46 James Le Cuirot
2019-06-25 19:46 James Le Cuirot
2019-04-30 22:00 James Le Cuirot
2019-04-14 21:47 James Le Cuirot
2019-04-14 21:47 James Le Cuirot
2019-04-14 14:17 James Le Cuirot
2019-04-14 14:17 James Le Cuirot
2019-03-10 13:10 James Le Cuirot
2018-11-16 23:05 James Le Cuirot
2018-11-16 23:05 James Le Cuirot
2018-10-19 8:51 Michał Górny
2018-08-19 20:17 James Le Cuirot
2018-05-13 11:30 Markus Meier
2018-05-06 12:26 Mikle Kolyada
2017-09-14 10:25 James Le Cuirot
2017-09-14 10:25 James Le Cuirot
2017-09-14 10:25 James Le Cuirot
2017-08-17 17:06 Michał Górny
2017-03-09 14:39 Chí-Thanh Christopher Nguyễn
2017-03-09 14:39 Chí-Thanh Christopher Nguyễn
2017-03-03 4:25 Matt Turner
2016-10-04 18:12 Manuel Rüger
2016-08-05 17:23 Markus Meier
2016-06-04 11:18 Chí-Thanh Christopher Nguyễn
2016-03-10 18:20 Chí-Thanh Christopher Nguyễn
2015-12-19 19:56 Markus Meier
2015-09-22 16:33 Matt Turner
2015-08-31 21:24 Matt Turner
2015-08-30 20:00 Matt Turner
2015-08-30 0:43 Matt Turner
2015-08-30 0:43 Matt Turner
2015-08-30 0:08 Matt Turner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1691186039.dc9958ddbfd5ab496ef01c50e6c1339626d7a117.chewi@gentoo \
--to=chewi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox